Skip to content

Modify data resources

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Modify data resources, query the original information based on the permission space Code and data resource Code, and only allow modification of data resource name, description and data resource node.

Method name

ManagementClient.updateDataResource

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
resourceCodestringYes-Data resource Code, unique in the permission spacedataResourceTestCode
namespaceCodestringYes-Permission space code to which the data resource belongsexamplePermissionNamespace
resourceNamestringNo-Data resource name, unique in the permission spaceExample data resource name
descriptionstringNo-Data resource descriptionExample data resource description
structNo-Data resource structure, supports string (STRING), tree structure (TREE) and array structure (ARRAY).
actionsstring[]No-Data resource permission operation list Array length limit: 50.["read","get"]

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.updateDataResource({
    namespaceCode: "examplePermissionNamespace",
    resourceCode: "treeResourceCode",
    resourceName: "New name of the example tree data resource",
    struct: [
      {
        code: "tree1",
        name: "Tree node 1",
        value: "Tree node 1 description",
      },
    ],
    description: "New description of sample tree data resource",
    actions: ["get", "read", "delete", "update"],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: UpdateDataResourceResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a UpdateDataResourceRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "resourceName": "Sample data resource name",
    "resourceCode": "dataResourceTestCode",
    "type": "TREE",
    "description": "Sample data resource description",
    "actions": "[\"read\",\"get\"]"
  }
}

Data structure

UpdateDataResourceRespDto

NameTypeIs it required?DescriptionSample value
resourceNamestringYesData resource name, unique in the permission spaceSample data resource name
resourceCodestringYesData resource Code, unique in the permission spacedataResourceTestCode
typestringYesData resource type, currently supports tree structure (TREE), string (STRING), array (ARRAY)TREE
descriptionstringNoData resource descriptionSample data resource description
structYesData resource structure, supports string (STRING), tree structure (TREE) and array structure (ARRAY).
actionsarrayYesData resource permission operation list. Array length limit: 50.["read","get"]

Agent infrastructure for identity, memory, and web action.